<?php
/**
 * @version ShareButtonsHupso.php 1.0
 * @copyright Tom Merc
 * @license GNU/GPLv2
 */
 
 // no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

jimport( 'joomla.plugin.plugin' );

class plgContentShareButtonsHupso extends JPlugin {


        function plgContentShareButtonsHupso( &$subject, $params )
        {
                parent::__construct( $subject, $params );
        }
		
        function onPrepareContent( &$article, &$params, $limitstart )
        {
                global $mainframe;
				
				$plugin =& JPluginHelper::getPlugin('content', 'ShareButtonsHupso');
				$par = new JParameter( $plugin->params );
				
				
				//print_r($article);
	
				$button_size = $par->def('hupso_button_size', 100);
				switch ($button_size) {
					case 60: 
						$width = 60;
						$height = 14;
						break;					
					case 80:
						$width = 80;
						$height = 19;
						break;					
					case 100: 
						$width = 100;
						$height = 23;
						break;
					case 120:
						$width = 120;
						$height = 28;
						break;					
					case 160:
						$width = 160;
						$height = 37;
						break;					
					default:
						$width = 100;
						$height = 23;
				}
				$img = 'button'.$width.'x'.$height.'.png';
				
				$icon_type = $par->def('hupso_icon_type', 'labels');
				$position = $par->def('hupso_css_position', 'after');
			
				$padding_left = $par->def('hupso_padding_left', '0');
				$padding_right = $par->def('hupso_padding_right', '0');
				$padding_top = $par->def('hupso_padding_top', '10');
				$padding_bottom = $par->def('hupso_padding_bottom', '10');
				
				$twitter = $par->def('hupso_service_twitter', 1);
				$facebook = $par->def('hupso_service_facebook', 1);	
				$google_plus = $par->def('hupso_service_google_plus', 1);	
				$linkedin = $par->def('hupso_service_linkedin', 1);
				$stumbleupon = $par->def('hupso_service_stumbleupon', 1);
				$digg = $par->def('hupso_service_digg', 0);
				$reddit = $par->def('hupso_service_reddit', 0);
				$bebo = $par->def('hupso_service_bebo', 0);
				$delicious = $par->def('hupso_service_delicious', 1);		
				
				$serv = "";
				if ($twitter) $serv .= '"Twitter"';
				if ($facebook) $serv .= '"Facebook"';
				if ($google_plus) $serv .= '"Google Plus"';
				if ($linkedin) $serv .= '"Linkedin"';
				if ($stumbleupon) $serv .= '"StumbleUpon"';
				if ($digg) $serv .= '"Digg"';
				if ($reddit) $serv .= '"Reddit"';
				if ($bebo) $serv .= '"Bebo"';
				if ($delicious) $serv .= '"Delicious"';
				$serv = str_replace('""','","', $serv);
				
				$sec_blacklist = trim($par->def('hupso_sec_blacklist', ''));
				$cat_blacklist = trim($par->def('hupso_cat_blacklist', ''));

				//print_r($article);
			
				$secid = $article->secid;
				
				if (isset($article->catid)) {				
					$catid = $article->catid;
				}
				else {
					$catid = '';
				}
			
				$sec_bl = explode(',', $sec_blacklist);
				$sec_hide = in_array($secid, $sec_bl);
				if ($secid == "") $sec_hide = false;
				
				$cat_bl = explode(',', $cat_blacklist);
				$cat_hide = in_array($catid, $cat_bl);
				if ($catid == "") $cat_hide = false;
				

				$code = '<div style="padding-left:'.$padding_left.'px; padding-right:'.$padding_right.'px; padding-top:'.$padding_top.'px; padding-bottom:'.$padding_bottom.'px;"><!-- Hupso Share Buttons (http://www.hupso.com/share) --><a class="hupso_pop" href="http://www.hupso.com/share"><img src="http://static.hupso.com/share/buttons/'.$img.'" width="'.$width.'" height="'.$height.'" border="0" alt="Share Button"/></a><script type="text/javascript">var hupso_services=new Array('.$serv.');var icon_type = "'.$icon_type.'";</script><script type="text/javascript" src="http://static.hupso.com/share/js/share.js"></script><!-- Hupso Share Buttons --></div>';
				
				$button_show = '{hupso_button}';
				$button_hide = '{hupso_hide}';
				
				if (isset($row->readmore_link)) {
					$link = trim($article->readmore_link);	
				}
				else {
					$link = '';
				}
				$pos_show = strpos($article->text, $button_show);
				$pos_hide = strpos($article->text, $button_hide);
				
				if ( ($sec_hide == false) and ($cat_hide == false) ) {
					if ($pos_hide === false) {
						if ($pos_show !== false) {
							$article->text = str_replace($button_show, $code, $article->text);
						}
						else {					
							if ($link != "") {
								if ($position == "after") {
									$article->text = $article->text . $code;
								}
								else {
									$article->text = $code . $article->text;
								}
							}
						}
					}
				}
				
				$article->text = str_replace($button_show, "", $article->text);
				$article->text = str_replace($button_hide, "", $article->text);				
		
				
        }
		
}	

?>